Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 235710 - fwbackups: RFE: add exclusion paths
Summary: fwbackups: RFE: add exclusion paths
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: fwbackups
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Stewart Adam
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-09 19:02 UTC by Bernard Johnson
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version: fwbackups-1.43.0-0.1.rc3.fc6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-06-21 03:58:41 UTC


Attachments (Terms of Use)

Description Bernard Johnson 2007-04-09 19:02:03 UTC
Description of problem:
Please add exclusion paths to the backup.  Both tar and rsync handle excludes. 
Here is a real world example:

I want to backup my /var/lib directories because they contain stateful
information, like my mysql databases.  However, I also use this system to build
for mock.  This currently uses 2.4G of space (cached build roots) - and since
they are cached, they are recreated whenever needed.

If I want to backup /var/lib/ and skip mock, I have to add:
+ /var/lib/a
+ /var/lib/b
+ /var/lib/c
+ /var/lib/d
etc

etc. to the backup set.

It would be much nicer to be able to add:
+ /var/lib
- /var/lib/mock

Version-Release number of selected component (if applicable):
fwbackups-1.43.0-0.1.beta2.fc6


Note You need to log in before you can comment on or make changes to this bug.